Package org.eclipse.net4j.util.concurrent

# Class TrackableTimerTask

java.lang.Object
java.util.TimerTask
org.eclipse.net4j.util.concurrent.TrackableTimerTask

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `AbstractMonitor.AsyncTimerTask`

public abstract class TrackableTimerTask extends TimerTask

Since:
  3.3
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`TRACK_TIMER_TASKS`
The boolean value of the system property `org.eclipse.net4j.util.concurrent.TrackTimerTasks`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TrackableTimerTask()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`cancel()`
`static Collection<Exception>`
`getConstructionStackTraces(long minLifeTimeMillis)`
`static void`
`logConstructionStackTraces(long minLifeTimeMillis)`

### Methods inherited from class java.util.TimerTask

`run, scheduledExecutionTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TRACK_TIMER_TASKS

public static final boolean TRACK_TIMER_TASKS
The boolean value of the system property `org.eclipse.net4j.util.concurrent.TrackTimerTasks`.

## Constructor Details

### TrackableTimerTask

protected TrackableTimerTask()

## Method Details

### cancel

public boolean cancel()

Overrides:
  `cancel` in class `TimerTask`

### getConstructionStackTraces

public static Collection<Exception> getConstructionStackTraces(long minLifeTimeMillis)

### logConstructionStackTraces

public static void logConstructionStackTraces(long minLifeTimeMillis)